[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# DefaultIPCServerClass

Default server communication class

## Declaration

Source position: simpleipc.pp line 278

`var DefaultIPCServerClass: TIPCServerCommClass = Nil;`

## Description

DefaultIPCServerClass is filled with a class pointer indicating which kind of communication protocol class should be instantiated by the TSimpleIPCServer class. It is set to a default value by the default implementation in the SimpleIPC unit, but can be set to another class if another method of transport is desired.

## See also

TSimpleIPCServer |  | Simple IPC server component
TIPCServerComm |  | Internal message communication component